package com.xhpc.user.service;

import com.xhpc.user.domain.XhpcInternetUser;

import java.util.List;
import java.util.Map;


/**
 * 流量用户信息 服务层
 *
 * @author ruoyi
 */
public interface IXhpcInternetUserService {

    /**
     * 新增任务
     *
     * @param xhpcInternetUser 流量用户信息
     * @return 结果
     */
    public int insert(XhpcInternetUser xhpcInternetUser);

    /**
     * 更新任务
     *
     * @param xhpcInternetUser 流量用户信息
     * @return 结果
     */
    public int update(XhpcInternetUser xhpcInternetUser);

    /**
     * 批量删除流量用户信息
     *
     * @param ids 需要删除的流量用户ID
     * @return 结果
     */
    public boolean deleteByIds(String[] ids);

    /**
     * 流量用户详情
     *
     * @param internetUserId 流量用户id
     * @return 结果
     */
    public Map<String, Object> info(Long internetUserId);

    /**
     * 流量用户分页列表
     *
     * @param name         流量用户名称
     * @param contactName  联系人
     * @param contactPhone 联系人电话
     * @return 结果
     */
    public List<Map<String, Object>> selectInternetList(String name, String contactName, String contactPhone, String createTimeStart, String createTimeEnd);

    /**
     * 禁用/启用流量用户
     *
     * @param internetUserId 流量用户id
     * @return 结果
     */
    public boolean status(Long internetUserId);

    /**
     * 流量用户列表
     *
     * @param name 流量用户名称
     * @return 结果
     */
    public List<Map<String, Object>> list(String name);

    /**
     * 根据第三方平台及监管平台的operatorId 查询
     * @param operatorIdEvcs
     * @return
     */
    XhpcInternetUser getOperatorIdEvcs(String operatorIdEvcs);

    /**
     * 查询operatorId 是否重复
     */

    int getCountOperatorIdEvcs(Long internetUserId,String operatorIdEvcs);

}